<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0">
	<modelVersion>4.0.0</modelVersion>
	<groupId>ru.rentdom</groupId>
	<artifactId>rentdom-web</artifactId>
	<version>1.0-SNAPSHOT</version>
	<packaging>war</packaging>
	<name>rentdom-web Tapestry 5 Application</name>
	<dependencies>
		<dependency>
			<groupId>org.apache.tapestry</groupId>
			<artifactId>tapestry-core</artifactId>
			<version>${tapestry-release-version}</version>
		</dependency>

		<!-- 
			A dependency on either JUnit or TestNG is required, or the surefire
			plugin (which runs the tests) will fail, preventing Maven from
			packaging the WAR. Tapestry includes a large number of testing
			facilities designed for use with TestNG (http://testng.org/), so it's
			recommended.
		-->
		<dependency>
			<groupId>org.testng</groupId>
			<artifactId>testng</artifactId>
			<version>5.1</version>
			<classifier>jdk15</classifier>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.5</version>
			<scope>provided</scope>
			<optional>false</optional>
		</dependency>
		<dependency>
			<groupId>nu.localhost.tapestry</groupId>
			<artifactId>tapestry-spring-security</artifactId>
			<version>${tapestry-spring-security-release-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.apache.tapestry</groupId>
					<artifactId>tapestry-core</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.tapestry</groupId>
					<artifactId>tapestry-ioc</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.apache.tapestry</groupId>
			<artifactId>tapestry-hibernate</artifactId>
			<version>${tapestry-release-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.hibernate</groupId>
					<artifactId>hibernate-core</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.hibernate</groupId>
					<artifactId>hibernate-annotations</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.apache.tapestry</groupId>
			<artifactId>tapestry-upload</artifactId>
			<version>${tapestry-release-version}</version>
		</dependency>
		<dependency>
			<groupId>postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>8.3-603.jdbc4</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>${hibernate-core-release-version}</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-annotations</artifactId>
			<version>${hibernate-annontations-release-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.hibernate</groupId>
					<artifactId>hibernate</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>net.aramzamzam.commons</groupId>
			<artifactId>commons-hibernate</artifactId>
			<version>1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>net.aramzamzam.commons</groupId>
			<artifactId>commons-tokens</artifactId>
			<version>1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>net.aramzamzam.commons</groupId>
			<artifactId>commons-pages-behavoir</artifactId>
			<version>1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>net.aramzamzam.commons</groupId>
			<artifactId>commons-components</artifactId>
			<version>1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>dk.eobjects.metamodel</groupId>
			<artifactId>MetaModel-full</artifactId>
			<version>1.1.4</version>
		</dependency>
	</dependencies>
	<build>
		<finalName>rentdom-web</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
					<optimize>true</optimize>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<!-- Run the application using "mvn jetty:run" -->
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>maven-jetty-plugin</artifactId>
				<version>6.1.9</version>
				<configuration>
					<!-- Log to the console. -->
					<requestLog implementation="org.mortbay.jetty.NCSARequestLog">
						<!--
							This doesn't do anything for Jetty, but is a workaround for a
							Maven bug that prevents the requestLog from being set.
						-->
						<append>true</append>
					</requestLog>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<reporting>

		<!--
			Adds a report detailing the components, mixins and base classes
			defined by this module.
		-->
		<plugins>
			<plugin>
				<groupId>org.apache.tapestry</groupId>
				<artifactId>tapestry-component-report</artifactId>
				<version>${tapestry-release-version}</version>
				<configuration>
					<rootPackage>ru.rentdom</rootPackage>
				</configuration>
			</plugin>
		</plugins>
	</reporting>

	<repositories>
		<!--
			This can be commented out when the tapestry-release-version is a not
			a snapshot. The non-snapshot Tapestry artifacts are distributed
			through the central repository at ibiblio.
		-->

		<repository>
			<id>tapestry-snapshots</id>
			<url>http://tapestry.formos.com/maven-snapshot-repository/</url>
		</repository>

		<repository>
			<id>codehaus.snapshots</id>
			<url>http://snapshots.repository.codehaus.org</url>
		</repository>
		<repository>
			<id>OpenQA_Release</id>
			<name>OpenQA Release Repository</name>
			<url>http://archiva.openqa.org/repository/releases/</url>
		</repository>
		<repository>
			<id>localhost.nu</id>
			<url>http://www.localhost.nu/java/mvn</url>
		</repository>
	</repositories>

	<pluginRepositories>

		<!--
			As above, this can be commented out when access to the snapshot
			version of a Tapestry Maven plugin is not required.
		-->
		<pluginRepository>
			<id>tapestry-snapshots</id>
			<url>http://tapestry.formos.com/maven-snapshot-repository/</url>
		</pluginRepository>


	</pluginRepositories>

	<properties>
		<tapestry-release-version>5.0.18</tapestry-release-version>
		<tapestry-spring-security-release-version>2.0.1</tapestry-spring-security-release-version>
		<hibernate-core-release-version>3.3.1.GA</hibernate-core-release-version>
		<hibernate-annontations-release-version>3.4.0.GA</hibernate-annontations-release-version>
	</properties>
</project>
